Skip to main content
`Ctrl`+`K`

# MatFDColoringSetParameters

Sets the parameters for the approximation of a sparse Jacobian matrix using finite differences and matrix coloring

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetParameters(MatFDColoring matfd, PetscReal error, PetscReal umin)

Logically Collective

## Input Parameters

- matfd - the coloring context

- error - relative error

- umin - minimum allowable u-value magnitude

## Note

The Jacobian is estimated with the differencing approximation

           F'(u)_{:,i} = [F(u+h*dx_{i}) - F(u)]/h where
           htype = 'ds':
             h = error_rel*u[i]                 if  abs(u[i]) > umin
               = +/- error_rel*umin             otherwise, with +/- determined by the sign of u[i]
             dx_{i} = (0, ... 1, .... 0)

           htype = 'wp':
             h = error_rel * sqrt(1 + ||u||)

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`, `MatFDColoringSetFromOptions()`

## Level

advanced

## Location

src/mat/matfd/fdmatrix.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages